Pages: [1]   Go Down
Author Topic: Arduino Uno on Ubuntu 10.10  (Read 1090 times)
0 Members and 1 Guest are viewing this topic.
Offline Offline
Newbie
*
Karma: 0
Posts: 29
View Profile
 Bigger Bigger  Smaller Smaller  Reset Reset

Hi I try to install arduino to a fresh Ubuntu 10.10 installation

I follow those instructions:
Quote
If you own an Uno or Mega 2560 and use Ubuntu 10.10

the Ubuntu repositories are a long way behind, so the default package in Maverick does not support those boards. Version 0018 of the IDE is from January 2010, the Uno and Mega2560 were released in September/October 2010.

To install, you have to enable the maverick-backports repository in the "Ubuntu Software Center" settings or do the following:

   1. Download the .debs for arduino, arduino-core, and librxtx-java into a clean directory from
      http://packages.ubuntu.com/maverick-backports/librxtx-java
      http://packages.ubuntu.com/maverick-backports/arduino-core
      http://packages.ubuntu.com/maverick-backports/arduino
      (go down to the part that says "Download {package-name}" and choose your architecture or "all")
   2. cd to the directory you downloaded the .debs into and
   3. sudo dpkg -i *.deb
   4. you can delete the download directory if you'd like when you're done

but I get this error
Quote
Selecting previously deselected package arduino.
(Reading database ... 137121 files and directories currently installed.)
Unpacking arduino (from arduino_0022+dfsg-1~maverick1_all.deb) ...
Selecting previously deselected package arduino-core.
Unpacking arduino-core (from arduino-core_0022+dfsg-1~maverick1_all.deb) ...
Selecting previously deselected package librxtx-java.
Unpacking librxtx-java (from librxtx-java_2.2pre2-3~maverick1_i386.deb) ...
dpkg: dependency problems prevent configuration of arduino:
 arduino depends on libjna-java; however:
  Package libjna-java is not installed.
dpkg: error processing arduino (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of arduino-core:
 arduino-core depends on gcc-avr; however:
  Package gcc-avr is not installed.
 arduino-core depends on avrdude; however:
  Package avrdude is not installed.
 arduino-core depends on avr-libc; however:
  Package avr-libc is not installed.
dpkg: error processing arduino-core (--install):
 dependency problems - leaving unconfigured
Setting up librxtx-java (2.2pre2-3~maverick1) ...
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 2 added doc-base file(s)...
Registering documents with scrollkeeper...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
Errors were encountered while processing:
 arduino
 arduino-core
john@Soprano:~/Desktop/untitled folder$ sudo dpkg -i *.deb
(Reading database ... 137990 files and directories currently installed.)
Preparing to replace arduino 0022+dfsg-1~maverick1 (using arduino_0022+dfsg-1~maverick1_all.deb) ...
Unpacking replacement arduino ...
Preparing to replace arduino-core 0022+dfsg-1~maverick1 (using arduino-core_0022+dfsg-1~maverick1_all.deb) ...
Unpacking replacement arduino-core ...
Preparing to replace librxtx-java 2.2pre2-3~maverick1 (using librxtx-java_2.2pre2-3~maverick1_i386.deb) ...
Unpacking replacement librxtx-java ...
dpkg: dependency problems prevent configuration of arduino:
 arduino depends on libjna-java; however:
  Package libjna-java is not installed.
dpkg: error processing arduino (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of arduino-core:
 arduino-core depends on gcc-avr; however:
  Package gcc-avr is not installed.
 arduino-core depends on avrdude; however:
  Package avrdude is not installed.
 arduino-core depends on avr-libc; however:
  Package avr-libc is not installed.
dpkg: error processing arduino-core (--install):
 dependency problems - leaving unconfigured
Setting up librxtx-java (2.2pre2-3~maverick1) ...
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 2 changed doc-base file(s)...
Registering documents with scrollkeeper...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
Errors were encountered while processing:
 arduino
 arduino-core
john@Soprano:~/Desktop/untitled folder$ sudo dpkg -i *.deb
Selecting previously deselected package arduino.
(Reading database ... 137194 files and directories currently installed.)
Unpacking arduino (from arduino_0022+dfsg-1~maverick1_all.deb) ...
Selecting previously deselected package arduino-core.
Unpacking arduino-core (from arduino-core_0022+dfsg-1~maverick1_all.deb) ...
Preparing to replace librxtx-java 2.2pre2-3~maverick1 (using librxtx-java_2.2pre2-3~maverick1_i386.deb) ...
Unpacking replacement librxtx-java ...
dpkg: dependency problems prevent configuration of arduino:
 arduino depends on libjna-java; however:
  Package libjna-java is not installed.
dpkg: error processing arduino (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of arduino-core:
 arduino-core depends on gcc-avr; however:
  Package gcc-avr is not installed.
 arduino-core depends on avrdude; however:
  Package avrdude is not installed.
 arduino-core depends on avr-libc; however:
  Package avr-libc is not installed.
dpkg: error processing arduino-core (--install):
 dependency problems - leaving unconfigured
Setting up librxtx-java (2.2pre2-3~maverick1) ...
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_US.utf8.cache...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 2 changed doc-base file(s)...
Registering documents with scrollkeeper...
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Processing triggers for python-support ...
Errors were encountered while processing:
 arduino
 arduino-core


any solution?
Logged

Miramar Beach, Florida
Offline Offline
Faraday Member
**
Karma: 148
Posts: 6102
View Profile
 Bigger Bigger  Smaller Smaller  Reset Reset

You might want to check the repository again. Ubuntu should have the new version by now.

But the packages you are missing:
Quote
arduino depends on libjna-java; however:
 Package libjna-java is not installed.
dpkg: error processing arduino (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of arduino-core:
 arduino-core depends on gcc-avr; however:
 Package gcc-avr is not installed.
 arduino-core depends on avrdude; however:
 Package avrdude is not installed.
 arduino-core depends on avr-libc; however:
 Package avr-libc is not installed.
Logged

Portugal
Offline Offline
Edison Member
*
Karma: 37
Posts: 1591
Pretending you know everything then you will learn nothing.
View Profile
 Bigger Bigger  Smaller Smaller  Reset Reset

Hello
Just read this pagehttp://www.arduino.cc/playground/Linux/Ubuntu and download the .deb files and then install

After download all then just do "sudo dpkg -i name_of_package.deb"
« Last Edit: October 31, 2011, 10:24:22 am by hugo007 » Logged

Debian,Mint,Ubuntu
Arduino Mega 2560
Arduino Nano
Arduino Duemilanove
MAC OS Montain Lion
Raspberry PI Model B


Pages: [1]   Go Up
Jump to: